<?php
include ('header.inc.php');

if(!isset($_SESSION['connected']) || $_SESSION['connected']===false)
{
	//Lost password
	if(isset($_POST['lost_pass']) && $_POST['lost_pass']=='Mot de Passe Perdu')
	{
		if($_POST['pseudo']=='')
		{
			?><span id="errorbox">Vous n'avez pas saisie votre pseudo.<br/>
			<a href='connect.php'>Cliquez ici</a> pour entrer a nouveau votre pseudo.</span><?php
		}
		else
		{
			if($o_player->ResetPlayerPassword($_POST['pseudo'],"Stepmaniaonline.fr - Nouveau mot de passe","Cher/Chère ###\n\nVoici votre nouveau mot de passe, remplacé du a une perte de l'ancien : &&&\n\nBon amusement.\n\nCracrayol\n\n(Veuillez ne pas répondre a ce mail)","no_reply@stepmaniaonline.fr")==1)
			{
				?><span id="errorbox">Pseudo Incorrect.<br/>
				<a href='connect.php'>Cliquez ici</a> pour entrer a nouveau votre pseudo.</span><?php
			}
			else
			{
				?><span id="okbox">Mot de passe modifié avec succèes.<br/>Un mail vous a été envoyé avec cotre nouveau mot de passe.<br/>
				<a href='connect.php'>Cliquez ici</a> pour entrer vos identifiants.</span><?php
			}
		}
	}
	//Account creation
	elseif(isset($_GET['act']) && $_GET['act']=='new_account')
	{
		if(isset($_POST['submit']))
		{
			if($_POST['pseudo']=='' || $_POST['password']=='' || $_POST['email']=='')
			{
				?><span id="errorbox">Vous n'avez pas saisi toutes les informations.<br/>
				<a href='connect.php?act=new_account'>Cliquez ici</a> pour recommencer.</span><?php
			}
			else
			{
				if($_POST['password']!=$_POST['password_verif'])
				{
					?><span id="errorbox">La saisie de votre mot de passe est érroné.<br/>
					<a href='connect.php?act=new_account'>Cliquez ici</a> pour recommencer.</span><?php
				}
				else
				{
					$i_ret = $o_player->CreateNewPlayer($_POST['pseudo'],$_POST['password'],$_POST['email']);
					if($i_ret == 1)
					{
						?><span id="errorbox">Erreur lors de l'enregistrement.<br/>
						<a href='connect.php?act=new_account'>Cliquez ici</a> pour recommencer.</span><?php
					}
					elseif($i_ret == 2)
					{
						?><span id="errorbox">L'adresse mail est invalide.<br/>
						<a href='connect.php?act=new_account'>Cliquez ici</a> pour recommencer.</span><?php
					}
					elseif($i_ret == 3)
					{
						?><span id="errorbox">Cette adresse mail est déja pris.<br/>
						<a href='connect.php?act=new_account'>Cliquez ici</a> pour recommencer.</span><?php
					}
					elseif($i_ret == 4)
					{
						?><span id="errorbox">Ce pseudo est déja pris.<br/>
						<a href='connect.php?act=new_account'>Cliquez ici</a> pour recommencer.</span><?php
					}
					else
					{
						mail($_POST['email'],"Stepmaniaonline.fr - Compte crée",str_replace('###',$_POST['pseudo'],str_replace('&&&',$_POST['password'],"Cher/Chère ###\n\nVous venez de créer un compte sur Stepmaniaonline.fr.\nVoici le mot de passe de votre compte : &&&\n\nBon amusement.\n\nCracrayol\n\n(Veuillez ne pas répondre a ce mail)")),"From: no_reply@stepmaniaonline.fr");
						?><span id="okbox">Compte crée avec succès.<br/>
						<a href='connect.php'>Cliquez ici</a> pour entrer vos identifiants.</span><?php
					}
				}
			}
		}
		else
		{
			?>
			<br><center>
			<form action='connect.php?act=new_account' method='post' class="smofr">
			Completez ce formulaire afin de créer votre compte :<br><br>
			<table>
			<tr><td>Pseudo :</td><td><input type='text' name='pseudo' id='pseudo' class="smofr" /></td></tr>
			<tr><td>Mot de Passe :</td><td><input type='password' name='password' id='password' class="smofr" /></td></tr>
			<tr><td>Resaisissez votre Mot de Passe :</td><td><input type='password' name='password_verif' id='password_verif' class="smofr" /></td></tr>
			<tr><td>Email :</td><td><input type='text' name='email' id='email' class="smofr"/></td></tr>
			<tr><td></td><td><br><input type='submit' name='submit' id='submit' class="buttons" value='Créer votre compte'></td></tr>
			</table>
			</form>
			<br/>
			(L'adresse mail n'est utiliser que pour la récupération du mot de passe perdu)
			</center>
			<?php
		}
	}
	//Account connection
	elseif(isset($_POST['submit']) && $_POST['submit']=='Connexion')
	{
		if($_POST['pseudo']=='')
		{
			?><font color='#FF0000'>Vous n'avez pas saisie votre pseudo.<br>
			<a href='connect.php'>Cliquez ici</a> pour entrer a nouveau votre pseudo.</font><?php
		}
		elseif($_POST['password']=='')
		{
			?><font color='#FF0000'>Vous n'avez pas saisie votre mot de passe.<br>
			<a href='connect.php'>Cliquez ici</a> pour entrer a nouveau votre pseudo.</font><?php
		}
		else
		{
			$o_player=new PlayerAccount();
			$return = $o_player->SetPlayer($_POST['pseudo'],($_POST['password']));
			//Compte inexistant
			if($return==1)
			{
				?><font color='#FF0000'>Votre pseudo ou mot de passe est incorrect.<br>
				<a href='connect.php'>Cliquez ici</a> pour entrer a nouveau vos identifiants.</font><?php
			}
			//Compte existant
			else
			{
				$_SESSION['pseudo']=$_POST['pseudo'];
				$_SESSION['password']=base64_encode($_POST['password']);
				$_SESSION['connected']=true;
				$_SESSION['level']=$o_player->GetPlayerLevel();
				?><font color='#00AA00'>Connexion réussi.<br>
				<a href='index.php'>Cliquez ici</a> pour revenir a l'index.</font><?php
			}
		}
	}
	//Default
	else
	{
?>					
					<br><center>
					<form class="smofr" action='connect.php' method='post'>
					Rentrez vos identifiants pour vous connecter : <br><br>
					<table>
					<tr><td><img src="images/login.png" alt="" style="margin-right: 10px;" /></td>
					<td><table>
					<tr><td>Pseudo :</td><td><input type='text' name='pseudo' id='pseudo' class="smofr" /></td></tr>
					<tr><td>Mot de Passe :</td><td><input type='password' name='password' id='password' class="smofr" /></td></tr>
					</table></td></tr>
					</table>
					</form><br><br>
					<input type='submit' name='submit' id='submit' value='Connexion' class="buttons" > <input type='submit' name='lost_pass' id='lost_pass' value='Mot de Passe Perdu' class="buttons"><br><br>
					<i class="fstyleq">Si vous n'avez pas de compte, <a href='connect.php?act=new_account'>cliquez ici</a> pour en créer un.</i><br>
					</center>
<?php
	}
}
//Deconnection
elseif(isset($_SESSION['connected']) && $_SESSION['connected']===true && $_GET['act']=='deconnect')
{
	unset($_SESSION['pseudo']);
	unset($_SESSION['password']);
	unset($_SESSION['connected']);
	?><font color='#00AA00'>Deconnexion réussi.<br>
	<a href='index.php'>Cliquez ici</a> pour revenir a l'index.</font><?php
}
include ('footer.inc.php');
?>